# -*- coding: utf-8 -*-
import os
import sys


sys.path.append(os.getcwd())
from common.feishu_utils import Feishu


class Material():
    """
    获取未处理的视频ID
    """
    @classmethod
    def video_list(cls):
        summary = Feishu.get_values_batch("summary", "f7f695")
        video_ids = []
        for row in summary[1:]:
            video_id = row[0]

            if not video_id:
                break
            video_ids.append(str(video_id))
        return video_ids








